window.Gleam.initSearch([{"doc":"html_lustre_converter","title":"html_lustre_converter","content":"# html_lustre_converter\n\nThe Lustreizer. Convert regular HTML markup into Lustre syntax.\n\n[![Package Version](https://img.shields.io/hexpm/v/lustreizer)](https://hex.pm/packages/lustreizer)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/lustreizer/)\n\nThis package depends on the `javascript_dom_parser` package, which only works in\nthe browser. If you wish to run this using the Deno runtime you will need to\ncall the `install_polyfill` function from the `javascript_dom_parser/deno_polyfill`\nmodule. It may not be possible to use this library elsewhere.\n\n```sh\ngleam add html_lustre_converter\n```\n```gleam\nimport html_lustre_converter\n\npub fn main() {\n  &quot;&lt;h1&gt;Hello, Joe!&lt;/h1&gt;&quot;\n  |&gt; html_lustre_converter.convert\n  |&gt; should.equal(&quot;html.h1([], [text(\\&quot;Hello, Joe!\\&quot;)])&quot;)\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/html_lustre_converter&gt;.\n","url":"index.html"},{"doc":"html_lustre_converter","title":"convert","content":"pub fn convert(html: String) -&gt; String\n Convert a string of HTML in to the same document but using the Lustre HTML\n syntax.\n\n The resulting code is expected to be in a module with these imports:\n\n \n import lustre/element/html\n import lustre/attribute.{attribute}\n import lustre/element.{element, text}\n \n\nSynonyms:\nhtml_lustre_converter.convert\nhtml_lustre_converter convert","url":"html_lustre_converter.html#convert"},{"doc":"html_lustre_converter","title":"html_lustre_converter","content":"","url":"html_lustre_converter.html"}]);